Bug 1029574 - 6.5 VM on RHEL7 host: After Leaving VM idle for an a period of time (around an hour) resolution matching for full screen fails [NEEDINFO]
6.5 VM on RHEL7 host: After Leaving VM idle for an a period of time (around a...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-qxl (Show other bugs)
6.5
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 11:12 EST by Vimal Patel
Modified: 2015-01-26 10:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 10:41:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
marcandre.lureau: needinfo? (vipatel)


Attachments (Terms of Use)

  None (edit)
Description Vimal Patel 2013-11-12 11:12:08 EST
Description of problem:
Leaving the remote-viewer window idle in windowed mode for an extended period of time (around an hour), and then coming back to the remote-viewer window of the VM, and attempting to go to full screen fails (It doesn't match the resolution of the client, instead it retains its current resolution and adds black bars to the top and bottom).

qxl arbitrary resolution change of changing resolution when changing the window size in windowed mode still works, but on full screen resolution does not change to match the clients resolution. Spice-vdagent behavior of copy and paste still works.

Version-Release number of selected component (if applicable):
Testing Configuration:
Client: RHEL 7  RHEL-7.0-20131106.n.1

virt-viewer-0.5.7-2.el7.x86_64
usbredir-0.6-5.el7.x86_64

Guest: RHEL 6.5 RC1.2
spice-vdagent-0.14.0.2-el6.x86_64
xorg-x11-drv-qxl-0.1.0-7.el6.x86_64

Host: RHEL 7  RHEL-7.0-20131106.n.1
spice-server-0.12.4-3.el7.x86_64
libvirt-1.1.1-11.el7.x86_64
qemu-kvm-1.5.3-13.el7.x86_64

How reproducible:
100% of my attempts (3)

Steps to Reproduce:
1. Normally use a 6.5 VM using a RHEL7 client & host
2. Leave it idle for an hour
3. Go back to using the VM and try to bring the VM to full screen

Actual results:
Resolution does not change from the windowed resolution, and the VM is show in full screen with black bars at the top and bottom of the window

Expected results:
When going to full screen, resolution matches the client's resolution, and there are no black bars seen

Additional info:
Comment 2 RHEL Product and Program Management 2013-11-15 12:16:15 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Marc-Andre Lureau 2014-08-14 15:01:04 EDT
Can you still reproduce this? I frequently leave my client idle, and never noticed such issue. If you can, please provide spice-vdagent log. Thanks

Note You need to log in before you can comment on or make changes to this bug.